EDIT - feature request #8469

Open PolytomousKeyGenerator issues
08/16/2019 11:41 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

recursively
e improve quantitative data handling
o handle-ExactValue (!)

o threshold should be in the middle between the best values, not always at the lower one

o maybe even allow >2 alternatives
make scores public to be used for multi-access keys also

Allew-multiple-description-elements-per-taxon-for-i-feature

Handling of "only max value". E.g. <3cm. Should this be handled like 0<x<3? Should the handling be configurable?

[ ]
[ ]
e TODOs in code
[ ]

GenerationResult, which includes not only the key, but also warnings, messages, etc.

* handletinks-to-taxaforamninnernode{e-g—genustaxa)
R o

e check if BigDecimal is handled correctly

. )

Related issues:

Related to EDIT - feature request #8441: Add FeatureState class

Related to EDIT - task #9810: Test if BigDecimal algebra is correct in Polyto...
Copied from EDIT - bug #8422: Make PolytomousKeyGenerator work (correctly)

Closed
New
Closed

Associated revisions

Revision e07260d7 - 09/18/2019 11:43 AM - Andreas Miiller

some cleanup in PolytomousKeyGenerator

Revision 49fbe818 - 09/18/2019 12:46 PM - Andreas Miiller

add ExactValue to possible input for PolytomousKeyGenerator

Revision 152b29a9 - 09/19/2019 12:27 PM - Andreas Miiller
ref #8469 fix NoSuchElementException (but issue itself might still be open)

Revision e434b808 - 11/21/2019 02:26 AM - Andreas Miuiller
ref #8469 better handling of empty or null CategoricalData

Revision 51133f9a - 11/21/2019 11:49 AM - Andreas Miiller

ref #8469 filter non-character data

Revision 424a2bee - 11/21/2019 02:07 PM - Andreas Miiller

ref #8469 use FeatureState in PolytomousKeyGenerator

Revision 185dfa24 - 11/21/2019 02:59 PM - Andreas Miiller

ref #8469 fix multiple dependencies for 1 parent feature issue

Revision 8e29c4cc - 11/22/2019 12:12 AM - Andreas Miiller
ref #8469 introduce KeyTaxon to allow multiple data and multiple descriptions per taxon

Revision 455db50e - 11/23/2019 09:45 PM - Andreas Miuller

ref #8469 fix reuse of reature states filter

Revision 85d65189 - 11/25/2019 12:14 PM - Andreas Miiller

ref #8469 fix no feature left, prepare taxon covering all subbranches, cleanup

Revision d1504e5a - 11/25/2019 12:14 PM - Andreas Miiller

ref #8469 first handling of taxa covering all subbranches, but probably wrong approach

Revision ca93e81e - 11/25/2019 07:32 PM - Andreas Miiller
ref #8469 handle all sub-branch taxa on the level they belong to

Revision dd864603 - 11/25/2019 10:53 PM - Andreas Miiller

ref #8469 fix min max issue

Revision 775d38e1 - 11/26/2019 12:01 AM - Andreas Miuller

ref #8469 avoid merge to singular branches

Revision e667¢033 - 12/19/2019 12:51 AM - Andreas Miiller

ref #8469 fix remove taxon node from taxon for TaxonNode.remove()

Revision ca83d76f - 12/19/2019 12:53 AM - Andreas Miiller

ref #8469 add useTaxonHierarchy for PolytomousKeyGenerator

Revision e04e5f03 - 12/19/2019 01:10 AM - Andreas Miiller

ref #8469 use correct handling for removeChildNode

Revision 4a2b3c5b - 12/20/2019 12:31 AM - Andreas Miiller

ref #8469 support reuse of quantitative characters in subbranches

History

#1 - 08/16/2019 11:43 AM - Andreas Miiller
- Copied from bug #8422: Make PolytomousKeyGenerator work (correctly) added

#2 - 08/16/2019 11:43 AM - Andreas Miiller
- Related to feature request #8441: Add FeatureState class added

#3 - 08/16/2019 09:23 PM - Andreas Miiller

- Description updated

#4 - 08/16/2019 09:23 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.10

#5 - 09/18/2019 01:44 PM - Andreas Miuller

- Description updated

#6 - 09/18/2019 01:46 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#7 - 09/18/2019 01:46 PM - Andreas Miuller

- Target version changed from Release 5.10 to Release 5.11

#8 - 09/19/2019 12:36 PM - Andreas Miuller
- Description updated

#9 - 11/04/2019 12:38 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#10 - 11/26/2019 06:06 PM - Andreas Miiller
- Description updated

#11 - 11/26/2019 06:08 PM - Andreas Miiller
- Description updated

#12 - 11/26/2019 06:10 PM - Andreas Miiller
- Description updated

#13 - 12/19/2019 12:50 AM - Andreas Muller

- Description updated

#14 - 01/16/2020 12:53 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#15 - 02/26/2020 11:32 AM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#16 - 04/08/2020 03:40 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#17 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#18 - 12/03/2020 06:01 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#19 - 01/27/2021 03:47 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#20 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#21 - 04/16/2021 10:16 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46

#22 - 10/12/2021 05:42 PM - Andreas Miiller

- Related to task #9810: Test if BigDecimal algebra is correct in PolytomousKey algorithms added

#23 - 10/12/2021 05:43 PM - Andreas Miiller

- Description updated
